Loading...
Searching...
No Matches
mzintegrationparams.h File Reference
`#include <map>`
`#include "../../precision.h"`
`#include "../../massspectrum/massspectrum.h"`

Go to the source code of this file.

## Classes

class | pappso::MzIntegrationParams
| The MzIntegrationParams class provides the parameters definining how m/z ! More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Enumerations

enum class | pappso::BinningType { pappso::NONE = 0 , pappso::DATA_BASED , pappso::ARBITRARY , pappso::LAST }
| Type of binning when performing integrations to a mass spectrum. More...

## Functions

| Q_DECLARE_METATYPE (pappso::MzIntegrationParams)
| Q_DECLARE_METATYPE (pappso::MzIntegrationParams *)

## Variables

int | mzIntegrationParamsMetaTypeId
int | mzIntegrationParamsPtrMetaTypeId

## Function Documentation

## Q_DECLARE_METATYPE() [1/2]

Q_DECLARE_METATYPE | ( | pappso::MzIntegrationParams * |  | ) |

## Q_DECLARE_METATYPE() [2/2]

Q_DECLARE_METATYPE | ( | pappso::MzIntegrationParams |  | ) |

## Variable Documentation

## mzIntegrationParamsMetaTypeId

int mzIntegrationParamsMetaTypeId

extern

Definition at line 55 of file mzintegrationparams.cpp.

## mzIntegrationParamsPtrMetaTypeId

int mzIntegrationParamsPtrMetaTypeId

extern

Definition at line 57 of file mzintegrationparams.cpp.